Subject: Re: [OSPF] RtgDir review: draft-ietf-ospf-link-overload-9

From: Shraddha Hegde <[email-masked]>
Date: Tue, 2 Jan 2018 05:22:44 +0000

Martin,

Thanks for the detailed review and comments. 
I have added a new section 4.5 in -11 version on details of remote-ipv4 address and the need for it.
If you are talking about some other missing details, pls provide specific information.
Sometimes certain details seem trivial and well understood to authors but not so for others.

Rgds
Shraddha

-----Original Message-----
From: Martin Vigoureux [mailto:[email-masked]] 
Sent: Friday, December 22, 2017 4:21 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RtgDir review: draft-ietf-ospf-link-overload-9

Hello,

I have been selected as the Routing Directorate reviewer for this draft. 
The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​https://urldefense.proofpoint.com/v2/url?u=http-3A__trac.tools.ietf.org_area_rtg_trac_wiki_RtgDir&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=mTTVgQyIphzdQXrtzuyX4FlD9pIHtdk57qE_gp8hgYY&s=d13HiGqS4KWdv0qkP-fD9NT1jEVnToFuz9wSPpaIzwc&e=

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-ospf-link-overload-9
Reviewer: Martin Vigoureux
Review Date: 2017-12-22
IETF LC End Date: date-if-known
Intended Status: Standard Track

Summary:
This document is basically ready for publication, but has nits (see
Comments) that should be considered prior to publication.

Comments:
So, before accepting this review I took a look at the draft and told myself "oh, not long, not apparently complicated.". Then I started reading it...
I have to admit that beyond the apparent simplicity of the objective, I did not understand much at first read. So I went on reading the mailing list and discovered a field of information and more specifically discussions explaining why certain design choices were made.

These are missing in the draft. I think that we should not expect readers and implementers to dig into the mailing list to understand the design described in a draft.

So I'd like to encourage the authors to add some text which summarizes the discussions that happened on the list and which explains why such and such design was in the end decided.

Thanks
-m